###########################################################
# Config file for the UCSC Human Genome server
#
# the format is in the form of name/value pairs
# written 'name=value' (note that there is no space between
# the name and its value.
#
#	backup recovery 17 November 2009
#
###########################################################

include hg.conf.private

# Transient setting that activates link on hgTracks and 
# hgGateway for ENCODE/modENCODE survey (March 2010).
# Change to survey=off (or remove survey setting) to retire the survey.
# survey=http://www.surveymonkey.com/s/XV666V5
# surveyLabel=Take ENCODE Survey

# survey=http://www.surveymonkey.com//s/XJF93F5
# surveyLabel=Apply for free workshop

# survey=http://genome-test.cse.ucsc.edu/goldenPath/help/image.html
# surveyLabel=<BR>Trouble viewing the browser? Reload this web page.

# survey=https://www.surveymonkey.com/s/5YYTRWQ
# surveyLabel=2011 ENCODE Usability Survey 

# survey=on

# if you want a different default species selection on the Gateway
# page, change this default Human to one of the genomes from the
#	defaultDb table in hgcentral:
#	hgsql -e "select genome from defaultDb;" hgcentral
# If you need a different version of that specific genome, change
#	the defaultDb table entry, for example, a different mouse genome
#	version as default:
#	hgsql -e 'update defaultDb set name="mm8" where genome="Mouse"
#	then this defaultGenome would read: defaultGenome=Mouse
# 
defaultGenome=Human

# trackDb table to use. A simple value of `trackDb' is normally sufficient.
# In general, the value is a comma-separated list of trackDb format tables to
# search.  This supports local tracks combined with a mirror of the trackDb
# table from UCSC. The names should be in the form `trackDb_suffix'. This
# implies a parallel hgFindSpec format search table exists in the form
# hgFindSpec_suffix.  The specified trackDb tables are searched in the order
# specified, with the first occurance of a track being used.  You may associate
# trackDb/hgFindSpec tables with other instances of genome databases using a
# specification of profile:trackDbTbl, where profile is the name of a
# databases profile in hg.conf, and trackDbTbl is the name of the table in the
# remote databases.
# 
db.trackDb=trackDb
#db.trackDb=trackDb_local,trackDb
#db.trackDb=trackDb,remoteDbs:trackDb

# track group table definitions.  This is a comma-seperate list similar to
# db.trackDb that defines the track group tables.  Database profiles 
# may alow be included using the syntax profile:grpTbl.
db.grp=grp
#db.grp=grp_local,grp
#db.grp=grp,remoteDbs:grp

#  New browser function as of March 2007, allowing saved genome browser
#	sessions into genomewiki
# wiki.host=genomewiki.ucsc.edu
# Specify which login system to use, hgLogin CGI or if commented out, the wiki.
login.systemName=hgLogin CGI
wiki.host=hgwdev.soe.ucsc.edu
login.acceptIdx=no
# changed the following two lines to DEV* by request from jcasper and others.
wiki.userNameCookie=DEVwikidb_mw1_UserName
wiki.loggedInCookie=DEVwikidb_mw1_UserID
##wiki.sessionCookie=wikidb_mw1__session

# Settings to allow mirrors to set their own mail signature and return email address for hgLogin
# emails.
login.browserName=UCSC Genome Browser
login.browserAddr=http://genome.ucsc.edu
login.mailSignature=UCSC Genome Browser Staff
login.mailReturnAddr=genome-www@soe.ucsc.edu

# wikiTrack function turned on 2009
#  URL is the wiki location for the article pages
#wikiTrack.URL=http://genomewiki.ucsc.edu
# browser to return to from wiki created pages
#wikiTrack.browser=genome.cse.ucsc.edu

#  List of wiki user names that have super user edit privileges
#	to wiki track items.  Currently this is only a delete item privilege.
#wikiTrack.editors=Hiram
#  List of databases to enable the wikiTrack function
#wikiTrack.dbList=hg18,mm9,hg19

#	tmpdir of /data/tmp is the default location if not specified here
#	Set this to a directory as recommended in the genomewiki
#	discussion mentioned above.

# New browser function as of March 2007.  Future browser code will
#	have this on by default, and can be turned off with =off
#   Initial release of this function requires it to be turned on here.
browser.indelOptions=on
#
# There are additional fonts available, not all are perfect.
# Uncomment this to see extra font selections in the configure page
# fonts.extra=yes

# central.host is the name of the host of the central MySQL
# database where stuff common to all versions of the genome
# and the user database is stored.
central.db=hgcentraltest
central.host=localhost

# use this cookie setting to keep your installation hguid cookie setting
#	distinct from UCSC hguid cookie
central.cookie=hguid.genome-preview
#	personalize the background of the browser with a specified jpg
#	floret.jpg is the standard UCSC default
browser.background=../images/floretPreview.jpg

# Change this default documentRoot if different in your installation,
#	to allow some of the browser cgi binaries to find help text files
browser.documentRoot=/usr/local/apache/htdocs
#	personalize the background of CGIs that don't use images
#browser.bgcolor=FFF9D2

# optional location of grepIndex files
grepIndex.genbank=/data/tmp/grepIndex
grepIndex.default=/gbdb

#  new option for track reording functions, August 2006
hgTracks.trackReordering=on

# directory for temporary bbi file caching, default is /tmp/udcCache
# see also: README.udc
udc.cacheDir=../trash/udcCache

# Mount point for udcFuse read-only filesystem (must be absolute path!):
#udcFuse.mountPoint=/data/apache/trash/udcFuse

# An include directive can be used to read text from other files.  this is
# especially useful when there are multiple browsers hidden behind virtual
# hosts.  The path to the include file is either absolute or relative to
# the including file (*not* relative to the current direct directory).
#   include ../cgi-bin-default/hg.conf

# A delete directive can be used to delete previouly defined values.
# this is useful in conjunction with include when an undefined
# value has different meaning than an empty value:
#   delete archivecentral.db [othervars ...]

# Option to disable the "All Tables" query in the table browser.  Useful if
# one wants to be restrictive about what tables can be seen.
#   hgta.disableAllTables=yes

# Directory where a static cache of public hub files exists to
# support hub search.
hgHubConnect.cacheDir=../trash/hgHubConnect/hubCrawl

# If this option is enabled, the browser CGIs will attempt to generate a an
# stack traceback on error and dump it to stderr (which is normally captured
# in the web server error log).  This requires the pstack package to be
# install, which is available on for unix and linux systems.  If
# signalsHandler is enabled, the stack will also be printed when a signal
# indicating an error occurs.
browser.dumpStack=on
# log signals
signalsHandler=on

# These settings enable geographic allele frequency images on the 
# details pages for the HGDP Allele Frequency (hgdpGeo) track.
# (HGDP = Human Genome Diversity Project)
# Programs required for per-SNP geographic maps of HGDP population
# allele frequencies:
hgc.psxyPath=/hive/data/outside/GMT4.3.1/bin/psxy
hgc.ps2rasterPath=/hive/data/outside/GMT4.3.1/bin/ps2raster
hgc.ghostscriptPath=/usr/bin/ghostscript

# Customize your downloads.server machine name here
downloads.server=hgdownload-test.cse.ucsc.edu

# enable user specific javascript
# browser.javaScriptDir=js/<your logname>

# enable http(s) proxy support in net.c
#httpProxy=http://someProxyServer:443/
# if proxy server needs BASIC authentication
#httpProxy=http://user:password@someProxyServer:443/

##
# Database profiles
##
#   The dbProfile facility provides a limited mechanism for access tracks from
# multiple database servers.  This is particularly useful when a mirror server
# contains the majority of the track data needs to be shared by multiple
# groups with a small number of locally produced tracks that they the need to
# keep isolated from the other groups.  A dbProfile associates a MySQL host,
# user, and password with a dbProfile name.  To define a dbProfile named
# myProfile, define the hg.conf variables:
#
#    myProfile.host
#    myProfile.user
#    myProfile.host
#
# The default profile is named `db', and is defined by the `db.*' variables
# described above.  The `customTracks.*' and `central.*' variables also define
# profiles.
#
# Profiles can be associated with an entire genome databases or some types of
# tables.  To associated with a database, myGenome with myProfile, define the
# variable:
#     myGenome.profile=myProfile
#
# A dbProfile may be associated with a trackDb/hgFindSpec table pair or a grp
# table as described in the `db.trackDb' and `db.grp' variables above.  To
# associate a particular track table, specify the "dbProfile" setting in the
# trackDb entry:
#
#    track myTrack
#    ...
#    dbProfile myProfile
#
# Note that dbProfile only works on a small number of track types and is not
# well tested.  In general, the dbProfile facility has not been widely use and
# may still contain bugs.  The recommended approach for setting up a
# remote/local server pair is to use the default profile for the remote server
# with the majority of tracks, and use a non-default profile for local tracks
# and trackDb tables.  A common configuration would be:

#db.host=oursharedhost
#db.user=readonly
#db.password=access
#
#myStuff.host=localhost
#myStuff.user=readonly
#myStuff.password=access
#
#db.trackDb=myStuff:trackDb,trackDb
#db.grp=myStuffgrp,grp

# Log visible tracks to error_log
trackLog=on

# Display phylogenetic tree in hgGateway (URL relative to cgi-bin)
hgGateway.dbDbTaxonomy=../js/dbDbTaxonomy.js

# let people look at feature-based tracks as coverage wiggles
canDoCoverage=on

#Allow hgHubConnect to run the hubCheck command
hgHubConnect.validateHub=on

# Setting speeds up the browser by caching large trackDb (such as big hubs)
cacheTrackDbDir=/dev/shm/trackDbCache

# Enable svg based bar charts
svgBarChart=on

curatedHubPrefix=alpha
